org.eclipse.ui.commands

## Interface ICommandManagerListener

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

    @Deprecated
    public interface ICommandManagerListener

An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ICommandManager`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `ICommandManager.addCommandManagerListener(ICommandManagerListener)`, `ICommandManager.removeCommandManagerListener(ICommandManagerListener)`, `ICommandManagerListener`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `commandManagerChanged(CommandManagerEvent commandManagerEvent)` Deprecated.

### Method Detail

#### commandManagerChanged

    @Deprecated
    void commandManagerChanged(CommandManagerEvent commandManagerEvent)

Deprecated.
Notifies that one or more properties of an instance of `ICommandManager` have changed. Specific details are described in the `CommandManagerEvent`.

Parameters:
  `commandManagerEvent` - the commandManager event. Guaranteed not to be `null`.